function R = RotEul(eulAng)
%Computes rotation matrix from euler angles R_b^n
phi = eulAng(1);
theta = eulAng(2);
psi = eulAng(3);

sphi = sin(phi);
cphi = cos(phi);

stheta = sin(theta);
ctheta = cos(theta);

spsi = sin(psi);
cpsi = cos(psi);


R = [cpsi*ctheta -spsi*cphi+cpsi*stheta*sphi spsi*sphi+cpsi*cphi*stheta;
     spsi*ctheta cpsi*cphi+sphi*stheta*spsi  -cpsi*sphi+stheta*spsi*cphi;
     -stheta     ctheta*sphi                 ctheta*cphi];

end

