function T = TransAngEul(eulAng)
%Computes the euler angle transformation matrix
phi = eulAng(1);
theta = eulAng(2);
psi = eulAng(3);

T = [1 sin(phi)*tan(theta) cos(phi)*tan(phi);
     0 cos(phi)            -sin(phi);
     0 sin(phi)/cos(theta) cos(phi)/cos(theta)];
end

