function [tau_d, joint_torque] = PDcontroller(x,snake,eta,eta_dot,zeta_ref,eta_d,theta_dotd,theta_d)

theta     = x(8 : 6+snake.n); 
zeta      = x(7+snake.n : 11+2*snake.n);
theta_dot = zeta(7:snake.n+5);
eta_dotd  = zeta_ref(1:6);

Kp_base = eye(6)*5;
Kd_base = eye(6)*0.1;
tau_d = Kp_base*(eta_d-eta) + Kd_base*(eta_dot-eta_dotd);

Kp_joint = eye(snake.n-1)*1;
Kd_joint = eye(snake.n-1)*0.1;
joint_torque = Kp_joint*(theta_d-theta) + Kd_joint*(theta_dot-theta_dotd);

end

