function [zeta_ref, eta_ee]  = generateTestPath(snake,x,R,t)

pos = x(1:3);
theta = x(8:6+snake.n); %Joint angles

[eta_ee,eta_n_b_ee] = getEEpos(snake, pos, theta, R);
zeta_ref = zeros(snake.n+5,1);

if (t < 5)
    zeta_ref(1) = 0.1*t;
    zeta_ref(2) = 0.05*t;
else
    zeta_ref(7) = 0.05*sin(0.4*t);
    zeta_ref(8) = 0.05*sin(0.4*t + 0.2);
    zeta_ref(9) = 0.05*sin(0.4*t + 0.4);
    zeta_ref(10) = 0.05*sin(0.4*t + 0.6);
    zeta_ref(11) = 0.05*sin(0.4*t + 0.8);
end
end

