function [ee_state,ee_pos_b_ee] = getEEpos(snake,pos,theta,R)

ee_pos = [0; 0; 0;1];
ee_pos(1) = snake.link(snake.n).length;
%R_0ee = R(:,:,1);
for i=(snake.n-1):-1:1
    ee_pos = snake.joint(i).A(theta(i))*ee_pos;
    %R_0ee = R_0ee*R(:,:,i+1);
end
ee_pos = ee_pos(1:3);

%Position of end effector relative to body frame expressed in NED-frame
ee_pos_b_ee = R(:,:,1)*ee_pos;

%Position of end effector relative to inertial frame expressed in inertial 
% frame
ee_pos = pos + R(:,:,1)*ee_pos;

R = R(:,:,snake.n);
%R = R_0ee;
phi_state = atan2(R(3,2), R(3,3));
theta_state = -asin(R(3,1));
psi_state = atan2(R(2,1), R(1,1));

ee_state = [ee_pos; phi_state; theta_state; psi_state];

end

