function T = getTransformationMatrix(eulerAngles)

phi = eulerAngles(1);
theta = eulerAngles(2);
psi = eulerAngles(3);

T = [1 sin(phi)*tan(theta) cos(phi)*tan(theta);...
    0 cos(phi) -sin(phi);...
    0 sin(phi)/cos(theta) cos(phi)/cos(theta)];
end

