%% Post Process/Show Movie
% this code shows the correct result if all links have the same radius!
disp('Postprocessing data:')
disp('...')
Tinterp      = 0 : deltaT_interp : Tmax;

%simout_int   = interp1(T,simout,Tinterp);
simout_int   = interp1(T_log',x_log',Tinterp);

TF = ismissing(simout_int);
k = find(TF,1);
if isempty(k), k = length(Tinterp); end
simout_int = simout_int(1:k-1,:);
[X, Y, Z]    = snake2points(simout_int,snake);
mov          = animatesnake(X,Y,Z,snake);

fig = figure(31);
movie(fig,mov,12,8)
